#include <iostream>
#include <cmath>

const double PI = acos(-1.0);
class Circle
{
private:
	double radius;
	
public:
	Circle(){ radius = 0;}
	Circle(double r){radius = r;}
	void SetR(double r) { radius = r; }

	double Area()//const
	{
		return PI * radius * radius;
	}

	double Area_NOTGOOD(double r)
	{//不要用这种做法，实际上，此函数和类Circle（类的数据成员）没有任何关系！
		return PI * r * r;
	}
};

double Area_Circle(double r)
{//标准C函数，没问题
	return PI * r * r;
}

int main()
{
	Circle c(1.0);
	std::cout << c.Area() << std::endl;//正解
	std::cout << c.Area_NOTGOOD(1.0) << std::endl;//不是C++，...，不是C++，重复一万遍
	std::cout << Area_Circle(1.0) << std::endl;//标准C，也可以
	
	return 0;
}
